unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls,Math;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    Button1: TButton;
    RadioGroup1: TRadioGroup;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var x,a,e:extended;
q,i:integer;
begin
memo1.Clear;
 Memo1.Lines.Add('Результаты ст. гр. 020602 Коврыги А.С.');
x:=StrToFloat(Edit1. Text);
  i:=StrToInt(Edit2. Text);
Memo1 .Lines.Add (' x='+FloatToStrF(x,ffFixed,8,4));
Memo1 .Lines.Add (' i='+FloatToStrF(i,ffFixed,8,4));
 case RadioGroup1.ItemIndex of
0: a:=sqr(x);
1: a:=exp(x);
2: a:=Sinh(x);
end;
  q:= (i mod 2);
if (q=0) and (x>0) then
 e:=i*sqrt(a)
      else
if (q<>0) and (x<0) then e:=(i/2)*sqrt(abs(a))
else e:=sqrt(abs(i*a));
 Memo1.Lines.Add(' e='+FloatToStrF(e,ffFixed,8,2));
end;
procedure TForm1.FormCreate(Sender: TObject);
begin
Edit1.text:='';
Edit2.text:='';
Memo1.Clear;
RadioGroup1 .ItemIndex:=0;
end;
procedure TForm1.Button2Click(Sender: TObject);
begin
print
end;
 end.
